function [signal_outdel,c,loc] = deloutliers(signal,MinPP)
% Delete Outliers of LDF signals
%   signal_outdel = deloutliers(signal,MinPP) returns the LDF signal input 
%   with outliers erased, replace by values from 2.5s of the signal before 
%   the outlier. MinPP is peak prominence threshold that outliers must be 
%   above, based on LDF signal that is normalized againt its max value. 
%

%   Created by Mathias Falk, last modified 25/05/16

    
    overlap = 25;   %1 new fs = 400/40 = 10, means 2.5 s
    
    delay = overlap*2;
    
    signal = signal/max(signal);
        
    c=1;
    [~,loc] = findpeaks(signal,'MinPeakProminence',MinPP);
      
    while isempty(loc) == 0
        
        for i=1:length(loc)
            signal(loc(i)-overlap:loc(i)+overlap) = ...
                    signal(loc(i)-overlap-delay:loc(i)-overlap);
        end
        
        [~,loc] = findpeaks(signal,'MinPeakProminence',MinPP);
        c=c+1;
        
    end
    
    signal_outdel = signal;   
    
end