% featanalysis Feature Analysis
%   Perform feature analysis. Plot weights for each feature, both generated
%   features and PCA features from original CWT features, for 2 and 4 class
%   situations, for varying value K in ReliefF algoritm using function
%   rffplotK, which again used relieff from the Statistics and Machine
%   Learing Toolbox. Then power features from ABP and HRV are extracted and
%   box plotted for each of the four original classes.
%


%   Created by Mathias Falk, last modified 05/09/16


% ReliefF K value analysis
rffplotK(featureHyperSub,classLet2)
rffplotK(featureHyperSub,classLet4)
rffplotK(scoresPCA,classLet2)
rffplotK(scoresPCA,classLet4)




% Box plot power
featurePowerHRV = featureHyperSub(:,5:6:36);
featurePowerABP = featureHyperSub(:,36+5:6:36+36);

figure;
for i=1:6
subplot(3,2,i)
boxplot(featurePowerABP(:,i),classNum4)
xlabel('Classes [number]'); ylabel('Power [AU]'); 
str = sprintf('Band %i',i);
title(str)
set(gca,'FontSize',14)
end

figure;
for i=1:6
subplot(3,2,i)
boxplot(featurePowerHRV(:,i),classNum4)
xlabel('Classes [number]'); ylabel('Power [AU]'); 
str = sprintf('Band %i',i);
title(str)
set(gca,'FontSize',14)
end


% KW-test / H-test power for 2 classes
for i=1:6
    stattest(featurePowerHRV(:,i),classNum2,alpha,'','no')
    stattest(featurePowerABP(:,i),classNum2,alpha,'','no')
end



