% initialize Initialization 
%   Clear workspace, command window and close all figures
%   Initialize variables and contants before analysis
%

% Created by Mathias Falk, last modified 26/05/16


close all
clear
clc


% Sampling variables
Fs = 400;    % Sampling frequency
SpM = Fs*60; % samples per minute


% Data structs
patientdata = struct;
CWTdata = struct;


% Frequency range of computations
Fmin = 0.001;
Fmax = 2;


% Frequency limits for subbands
Flim0 = 0.004;
Flim1 = 0.0095;
Flim2 = 0.021;
Flim3 = 0.052;
Flim4 = 0.15;
Flim5 = 0.6;
Flim6 = 2;


% Filter coeff
[Blow,Alow] = butter(10,15/(Fs/2),'low'); % 10th order Butter low pass 
                                          % 15 Hz cut off
                                          

% Classification label
classNum4 = [ones(9,1)*1;ones(9,1)*2;ones(9,1)*3;ones(9,1)*4];
classLet4 = char(classNum4+'A'-1);
classNum2 = [ones(9,1);ones(27,1)*2];
classLet2 = char(classNum2+'A'-1);


% Statistics
alpha = 0.05;                   % Statiscial tests significance level

